MAKECHROOTPKG(1)

NOME
makechrootpkg - Compila um PKGBUILD em um ambiente chroot dado

SINOPSE

makechrootpkg [OPÇÕES] -r <chrootdir> [--] [args para o makepkg]

DESCRIÇÃO

Run this script in a directory containing a PKGBUILD to build a package inside a clean chroot. Arguments passed to this script after the end-of-options marker (--) will be passed to makepkg.

The chroot dir consists of the following directories: <chrootdir>/{root, copy} but only "root" is required by default. The working copy will be created as needed

O diretório "root" do chroot deve ser criado através do seguinte comando: mkarchroot <chrootdir>/root base-devel

This script reads {SRC,SRCPKG,PKG,LOG}DEST, MAKEFLAGS and PACKAGER from makepkg.conf(5), if those variables are not part of the environment.

Argumentos padrões do makepkg: --syncdeps --noconfirm --log --holdver --skipinteg

OPÇÕES

-h
    Mostra essa mensagem de uso

-c
    Limpa o chroot antes de compilar

-d <dir>
    Vincula o diretório ao chroot de compilação como leitura e gravação

-D <dir>
    Vincula o diretório ao chroot de compilação como somente leitura

-t <dir>[:opts]
    Mount a tmpfs at dir. See the --tmpfs argument in systemd-nspawn(1) for more details.

-u
    Atualiza a cópia de trabalho do chroot antes de compilar. Isto é útil para recompilações sem sujar o chroot original

-r <dir>
    O diretório de chroot para usar

-I <pkg>
    Instala um pacote na cópia de trabalho do chroot

-l <cópia>
    O diretório a ser usado como cópia de trabalho do chroot. Útil para manter múltiplas cópias. Padrão: $USER

-n
    Executa namcap após compilar o pacote

-C
    Executa checkpkg após compilar o pacote

-T
    Compila em um diretório temporário

-U
    Executa makepkg como um usuário específico

-x <when>
    Inspect chroot after build, possible modes are never (default), always or failure

VEJA TAMBÉM

systemd-nspawn(1)

SITE

Please report bugs and feature requests in the issue tracker. Please do your best to provide a reproducible test case for bugs.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).